Uploaded image for project: 'Sentry'
  1. Sentry
  2. SENTRY-2329

Integrate sentry with Hadoop 3.1.1

    XMLWordPrintableJSON

    Details

    • Type: Improvement
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: 2.1.0
    • Fix Version/s: 2.2.0
    • Component/s: Sentry
    • Labels:
      None

      Description

      Change the sentry dependency of hadoop to 3.1.1 so that sentry can integrate with hadoop 3.1.1

      This integration should be compatible with old Hadoop 2.x versions. You should compile with Hadoop 2.x by changing the pom.xml or you can add the Sentry/HDFS binding jars built with Hadoop3 in the Hadoop 2 classpath.

        Attachments

        1. SENTRY-2329.001.patch
          12 kB
          Krishna Kalyan
        2. SENTRY-2329.2.patch
          4 kB
          Sergio Peña
        3. SENTRY-2329.3.patch
          4 kB
          Sergio Peña
        4. SENTRY-2329.4.patch
          6 kB
          Sergio Peña
        5. SENTRY-2329.5.patch
          10 kB
          Sergio Peña
        6. SENTRY-2329.6.patch
          11 kB
          Sergio Peña
        7. SENTRY-2329.6.patch
          10 kB
          Sergio Peña

          Issue Links

            Activity

              People

              • Assignee:
                spena Sergio Peña
                Reporter:
                kkalyan Krishna Kalyan
              • Votes:
                0 Vote for this issue
                Watchers:
                2 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: